package a3test.basic;

import jp.sourceforge.acerola3d.a3.*;
import javax.vecmath.*;

public class CameraRevTest {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        Action3D a3 = new Action3D("x-res:///axis.a3");
        w.add(a3);
        for (double d=0.0;d<361.0;d=d+5.0) {
            //w.setCameraRev(0,0,d);
            //w.setCameraRevImmediately(0,0,d);
            //w.setCameraRev(new Vector3d(0,0,d));
            //w.setCameraRevImmediately(new Vector3d(0,0,d));
            //w.mulCameraRev(new Vector3d(0,0,5));
            w.mulCameraRevImmediately(new Vector3d(0,0,5));
            Vector3d rev1 = w.getCameraRev();
            Vector3d rev2 = w.getCameraTargetRev();
            System.out.print(rev1);
            System.out.println(rev2);
            Thread.sleep(100);
        }
    }
}
